# SolrDisMaxQuery::setBoostFunction

(No version information available, might only be in Git)

SolrDisMaxQuery::setBoostFunction — Sets a Boost Function (bf parameter)

### 说明

public SolrDisMaxQuery::setBoostFunction(string `$function`): SolrDisMaxQuery

Sets Boost Function (bf parameter).

Functions (with optional boosts) that will be included in the user's query to influence the score. Any function supported natively by Solr can be used, along with a boost value. e.g.:

recip(rord(myfield),1,2,3)^1.5

### 参数

`function`

### 返回值

SolrDisMaxQuery

### 示例

示例 #1 SolrDisMaxQuery::setBoostFunction() example

`<?php
$dismaxQuery = new SolrDisMaxQuery('lucene');
$boostRecentDocsFunction = "recip(ms(NOW,mydatefield),3.16e-11,1,1)";
$dismaxQuery->setBoostFunction($boostRecentDocsFunction);
echo $dismaxQuery.PHP_EOL;
?>`

以上示例的输出类似于：

    q=lucene&defType=edismax&bf=recip(ms(NOW,mydatefield),3.16e-11,1,1)

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open